> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Mount an already existing tire set with an additional file

> Mount the specified tire set and upload an image of the storage report with it

<Note>This endpoint deals with defining the name and content type of the file. Use [Get a file upload link](/api-reference/files/get-a-file-upload-link) to upload the actual content of the file by providing the **UUID** and **secret** from the response.</Note>


## OpenAPI

````yaml /api-reference/m2m-api.yml post /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/tire-sets/{tiresetId}/mount
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/tire-sets/{tiresetId}/mount:
    post:
      tags:
        - Tire sets
      summary: Mount an already existing tire set with an additional file
      description: >-
        Mount the specified tire set and upload an image of the storage report
        with it
      operationId: switchTireSetWithStorageReportBlob
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
        - name: tiresetId
          in: path
          description: The tire set ID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: Blob upload info
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlobRequest'
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlobResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Tire set or vehicle not found
      security:
        - oauth:
            - openid
components:
  schemas:
    BlobRequest:
      type: object
      required:
        - filename
        - contentType
      properties:
        contentType:
          $ref: '#/components/schemas/FileType'
        filename:
          type: string
          description: A default name will be taken if none is provided
    BlobResponse:
      allOf:
        - $ref: '#/components/schemas/Blob'
        - type: object
          required:
            - secret
            - itemId
          properties:
            secret:
              type: string
              description: Secret for retrieving links
              minLength: 1
            itemId:
              description: Id of the item which holds the BLOB. May be string or integer
    FileType:
      type: string
      enum:
        - image/jpeg
        - image/png
        - application/pdf
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````